const express = require('express')
const bodyParser = require('body-parser')
const session = require('express-session')
const app = express()

const sendemail = require('./routes/sendemail')
const verification = require('./routes/verification')
const imageCaptcha = require('./routes/imageCaptcha')
const imageCaptchaCode = require('./routes/imageCaptchaCode')
const aliyunSMS = require('./routes/aliyunSMS')
const aliyunSMSCode = require('./routes/aliyunSMSCode')

app.all('*', (req, res, next) => {
    res.header("Access-Control-Allow-Origin", req.headers.origin); //设置来源
    res.header("Access-Control-Allow-Headers", "Origin, X-Requested-With, Content-Type, Accept");
    res.header("Access-Control-Allow-Methods", "PUT,POST,GET,DELETE,OPTIONS");
    res.header("Access-Control-Max-Age", "604800000");
    res.header("Access-Control-Allow-Credentials", true);
    res.header("X-Powered-By", ' 3.2.1');
    // res.header("Content-Type", "application/json;charset=utf-8");
    next();
});

app.use(session({
    secret: 'captcha',
    cookie: {
        maxAge: 300000
    },
    saveUninitialized: true,
    resave: true,
    name: 'imageVerification'
}))

app.use(bodyParser.urlencoded({extended:false}))

app.use('/postemail', sendemail)
app.use('/verification', verification)
app.use('/getImage', imageCaptcha)
app.use('/postImagetext', imageCaptchaCode)
app.use('/postnumber', aliyunSMS)
app.use('/verifi', aliyunSMSCode)


app.listen('8081', () => {
    console.log('http://127.0.0.1:8081')
})